Subject: bug#10657: 24.0.93; (elisp) Parsing Expressions - what about numerals?

From: Chong Yidong <[email-masked]>
Date: Tue, 31 Jan 2012 14:51:54 +0800

"Drew Adams" <[email-masked]> writes:

> "Basically, a sexp is either a balanced parenthetical grouping, a
> string, or a symbol name (a sequence of characters whose syntax is
> either word constituent or symbol constituent)."
>  
> What about numerals?

A numeral is also a sequence of characters whose syntax is either word
constituent or symbol constituent.  I tweaked this to make the meaning
more obvious.

> And `i' doesn't help at all with "s expression" or "s-expression" or
> "symbolic expression".  Or for that matter "balanced expression",

Fixed.